Description
This ticket covers ideas, notes and requirement regarding the presentation of the PhycoBank Index in the portal

Related issues:

Related to EDIT - feature request #8356: Algae Names Index - implementation In Progress
Related to EDIT - bug #8400: scientific names in Aphia client responses are m... Closed
Related to EDIT - feature request #8394: org.cybertaxonomy.utis.tnr.msg.Taxon... New
Related to EDIT - bug #8401: WoRMS client returns synonym for accepted name Closed
Related to PhycoBank - task #6013: Abgleich von Algennamen mit externen Quellen Closed
History

#1 - 07/23/2019 12:12 PM - Andreas Kohlbecker

- Related to feature request #8356: Algae Names Index - implementation added

#2 - 07/23/2019 03:07 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

UTIS search (Portal) as of 23 July 2019

PhycoBank Name links to taxon page and should link to species page
PhycoBank names have partly authors

"Navicula pseudosemenicula Rodionova, E.V. & Pomazkina, G.V. in Limnology and Freshwater Biology 2019(1): 187. 22.4.2019"
could be find with UTIS, this record is lacking standardised nomenclatural authors and, thus is under preparation.

Diatombase is perfectly connected. The only thing is that authors are missing. The entries are not duplicates but a name, a later homonym
(heterotypic) and an isonym of the later homonym (with different reference and year). Search is not restricted: freshwater, marine and fossile diatoms
are searchable.

Navicula abnormis
Checklist: DiatomBase
Navicula abnormis
Checklist: DiatomBase
Navicula abnormis
Checklist: DiatomBase

For authors see WorMS

WorMS:

standard filter is marine:

Marine species can be linked to directly

Example: Petroneis punctigera

Very strange: The searched name appear without authors but is displayed as synonym of the same name with authors - strange
May be "synonym for" could be replaced by "name author year"

#3 - 07/23/2019 03:50 PM - Andreas Kohlbecker

- Related to bug #8400: scientific names in Aphia client responses are missing authors citation added

#4 - 07/23/2019 03:54 PM - Andreas Kohlbecker

Wolf-Henning Kusber wrote:

UTIS search (Portal) as of 23 July 2019
PhycoBank Name links to taxon page and should link to species page

... is handled in #8394

PhycoBank names have partly authors

"Navicula pseudosemenicula Rodionova, E.V. & Pomazkina, G.V. in Limnology and Freshwater Biology 2019(1): 187. 22.4.2019"
could be find with UTIS, this record is lacking standardised nomenclatural authors and, thus is under preparation.

Diatombase is perfectly connected. The only thing is that authors are missing. The entries are not duplicates but a name, a later homonym
(heterotypic) and an isonym of the later homonym (with different reference and year). Search is not restricted: freshwater, marine and fossile
diatoms are searchable.
... is handled in #8400
WorMS:
standard filter is marine:
Marine species can be linked to directly
Example: Petroneis punctigera

Very strange: The searched name appear without authors but is displayed as synonym of the same name with authors - strange
May be "synonym for" could be replaced by "name author year"

... is handled in #8401

#5 - 07/23/2019 05:41 PM - Andreas Kohlbecker
- Related to feature request #8394: org.cybertaxonomy.utis.tnr.msg. TaxonName add URL field added

#6 - 07/23/2019 05:41 PM - Andreas Kohlbecker
- Related to bug #8401: WoRMS client returns synonym for accepted name added

#7 - 07/23/2019 06:45 PM - Wolf-Henning Kusber

- File picture892-1.png added

Just an Idea to make UTIS usable for Vaadin data entries.

There are two possibilities to place this feature, (i) in list view [not recommendet], (ii) in the Name editor.

Proposed place (see Screen shot) "Check if this name already occurs in other data sources” or "Check if this name already occurs in the
PhycoBank Index".

There could be (a) just a link to the Portal page [new tab], (b) a name field for a name with hand over to UTIS search in a new tab, or (c) full
integration?
https://dev.e-taxonomy.eu/redmine/issues/8394
https://dev.e-taxonomy.eu/redmine/issues/8400
https://dev.e-taxonomy.eu/redmine/issues/8401
#8 - 07/24/2019 09:47 AM - Wolf-Henning Kusber

UTIS request for names, entered in PhycoBank some time ago (or recently) failes, if only clickbox Phycobank is used:
Examples:

Planothidium victori

Planothidium caputium

Sanguina

#9 - 07/24/2019 04:05 PM - Andreas Kohlbecker

Wolf-Henning Kusber wrote:
UTIS request for names, entered in PhycoBank some time ago (or recently) failes, if only clickbox Phycobank is used:
Examples:
Planothidium victori

Planothidium caputium
Sanguina

This problem has already been fixed and will become available with the next release.

#10 - 07/24/2019 05:16 PM - Andreas Kohlbecker

Wolf-Henning Kusber wrote:
Just an Idea to make UTIS usable for Vaadin data entries.
There are two possibilities to place this feature, (i) in list view [not recommendet], (ii) in the Name editor.

Proposed place (see Screen shot)... or "Check if this name already occurs in the PhycoBank Index".

implemented by commit:cdm-vaadin|975de0c
#11 - 03/01/2023 02:29 PM - Andreas Miiller
- Tags set to phycobank

#12 - 03/01/2023 02:34 PM - Andreas Miiller

- Related to task #6013: Abgleich von Algennamen mit externen Quellen added

Files

picture892-1.png 94.6 KB 07/23/2019 Wolf-Henning Kusber
